Package ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24

# Class Dvor24UserSupport

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.dvor24.Dvor24UserSupport

public class Dvor24UserSupport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dvor24UserSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEmail()`
  `String`
  `getMiddleName()`
  `String`
  `getName()`
  `String`
  `getPassword()`
  `String`
  `getPhone()`
  `String`
  `getSurname()`
  `String`
  `getType()`
  `String`
  `getTypeSupport()`
  `boolean`
  `isAccessDvr()`
  `boolean`
  `isEnabled()`
  `void`
  `setAccessDvr(boolean accessDvr)`
  `void`
  `setEmail(String email)`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setMiddleName(String middleName)`
  `void`
  `setName(String name)`
  `void`
  `setPassword(String password)`
  `void`
  `setPhone(String phone)`
  `void`
  `setSurname(String surname)`
  `void`
  `setTypeSupport(String typeSupport)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `toParams()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Dvor24UserSupport

    public Dvor24UserSupport()

- ## Method Details

  - ### getType

    public String getType()

  - ### getName

    public String getName()

  - ### getSurname

    public String getSurname()

  - ### getMiddleName

    public String getMiddleName()

  - ### getPassword

    public String getPassword()

  - ### getPhone

    public String getPhone()

  - ### getEmail

    public String getEmail()

  - ### getTypeSupport

    public String getTypeSupport()

  - ### isEnabled

    public boolean isEnabled()

  - ### isAccessDvr

    public boolean isAccessDvr()

  - ### setName

    public void setName(String name)

  - ### setSurname

    public void setSurname(String surname)

  - ### setMiddleName

    public void setMiddleName(String middleName)

  - ### setPassword

    public void setPassword(String password)

  - ### setPhone

    public void setPhone(String phone)

  - ### setEmail

    public void setEmail(String email)

  - ### setTypeSupport

    public void setTypeSupport(String typeSupport)

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### setAccessDvr

    public void setAccessDvr(boolean accessDvr)

  - ### toParams

    public List<ru.bitel.bgbilling.common.model.KeyValue> toParams()